var AppDispatcher = require('../dispatcher/appDispatcher');
var BySubCategoryConstants = require('../constants/bySubCategoryConstants');

// Define action methods
var BySubCategoryActions = {
    load: function(subCategoryId, offset, limit, filter) {
        AppDispatcher.handleAction({
            actionType: BySubCategoryConstants.LOAD,
            subCategoryId : subCategoryId,
            offset: offset,
            limit: limit,
            filter: filter
        });
    },
    filterCriteriaClick: function(fc, fcv) {
        AppDispatcher.handleAction({
            actionType: BySubCategoryConstants.FILTER_CRITERIA_CLICK,
            fc: fc,
            fcv: fcv
        });
    },
    removeAppliedFilter: function(name) {
        AppDispatcher.handleAction({
            actionType: BySubCategoryConstants.REMOVE_APPLIED_FILTER,
            name: name
        });
    }, 
    changePage: function(page) {
        AppDispatcher.handleAction({
            actionType: BySubCategoryConstants.CHANGE_PAGE,
            page: page
        });
    },
};

module.exports = BySubCategoryActions;
